Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class XSLElement

    public class XSLElement
    extends org.eclipse.wst.xsl.core.model.XSLNode

An element in the XSL namespace.

## Field Summary

`package-private java.util.Map` | `attributes`
`package-private java.util.List` | `childElements`

## Constructor Summary

`XSLElement(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

## Method Summary

`public void` | `addChild(org.eclipse.wst.xsl.core.model.XSLElement element)` Add a child element of this.
`public org.eclipse.wst.xsl.core.model.XSLAttribute` | `getAttribute(java.lang.String name)` Get the attribute with the given name.
`public java.util.Map` | `getAttributes()` Get the attributes keyed by their names.
`public java.lang.String` | `getAttributeValue(java.lang.String name)` Get the value of the attribute with the given name.
`public java.util.List` | `getChildElements()` Get the list of child elements
`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `getModelType()`
`public void` | `setAttribute(org.eclipse.wst.xsl.core.model.XSLAttribute attribute)` Add an attribute of this

## Field Detail

## attributes

`package-private java.util.Map attributes`

## childElements

`package-private java.util.List childElements`

## Constructor Detail

## XSLElement

`public XSLElement(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

Create a new instance of this.

## Methods Detail

## addChild

`public void addChild(org.eclipse.wst.xsl.core.model.XSLElement element)`

Add a child element of this.

### Parameters

`element` - the chold element

## getAttribute

`public org.eclipse.wst.xsl.core.model.XSLAttribute getAttribute(java.lang.String name)`

Get the attribute with the given name.

### Parameters

`name` - the name of the attribute

### Returns

`org.eclipse.wst.xsl.core.model.XSLAttribute` - the attribute

## getAttributes

`public java.util.Map getAttributes()`

Get the attributes keyed by their names.

### Returns

`java.util.Map` - the map of attribute names and instances

## getAttributeValue

`public java.lang.String getAttributeValue(java.lang.String name)`

Get the value of the attribute with the given name.

### Parameters

`name` - the name of the attribute

### Returns

`java.lang.String` - the attribute value

## getChildElements

`public java.util.List getChildElements()`

Get the list of child elements

### Returns

`java.util.List` - the list of children

## getModelType

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type getModelType()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type`

## setAttribute

`public void setAttribute(org.eclipse.wst.xsl.core.model.XSLAttribute attribute)`

Add an attribute of this

### Parameters

`attribute` - the attribute to add